Issue 81434

Summary: Printing of "Hidden text" configuration
Product: Writer Reporter: Oliver Specht <os_ooo>
Component: printingAssignee: h.ilter
Status: CLOSED FIXED QA Contact: issues <issues.openoffice.org>
Severity: trivial    
Priority: P3 CC: frank.loehmann, frank.meies, issues
Version: 680m225   
Target Milestone: ---   
Hardware: All   
OS: All   
URL: http://specs.openoffice.org/writer/printing/Print_Hidden_Text.odt
Issue Type: FEATURE Latest Confirmation on: ---
Developer Difficulty: ---

Description Oliver Specht 2007-09-10 09:36:06 UTC
Printing of "Hidden text" depends on the setting of View/Hidden text. But
printing should not depend on current view settings but on dedicated print
settings. These settings are already available in the dialog
Tools/Options/Openoffice.org Writer/Print  and File/Print/Options. A "Hidden
text" option should be added to this dialog page.
Comment 1 Oliver Specht 2007-09-10 09:36:34 UTC
Target set to 2.4
Comment 2 Oliver Specht 2007-10-31 11:13:45 UTC
Spec URL set
Comment 3 Oliver Specht 2007-10-31 15:24:33 UTC
First step checked in:
sw/inc/printdata.hxx
sw/source/ui/config/optdlg.hrc
sw/source/ui/config/optdlg.src
sw/source/ui/config/optpage.cxx
sw/source/ui/config/prtopt.cxx
sw/source/ui/inc/cfgitems.hxx
sw/source/ui/inc/optpage.hxx
sw/source/ui/uiview/viewprt.cxx
officecfg/registry/schema/org/openoffice/Office/Writer.xcs
officecfg/registry/schema/org/openoffice/Office/WriterWeb.xcs
Comment 4 Oliver Specht 2007-11-07 11:56:23 UTC
Changes in:
sw/inc/printdata.hxx
sw/inc/viewopt.hxx
sw/source/core/text/atrstck.cxx
sw/source/core/text/porfld.cxx
sw/source/ui/config/viewopt.cxx
sw/source/ui/uiview/viewprt.cxx
sw/source/ui/uno/unotxdoc.cxx

Comment 5 Oliver Specht 2007-11-09 13:23:14 UTC
Reassigned for verification
Comment 6 Oliver Specht 2007-11-21 11:51:51 UTC
.
Comment 7 h.ilter 2007-11-21 16:28:42 UTC
Verified with cws os106
Comment 8 h.ilter 2008-02-14 14:03:30 UTC
Still ok in 680m242